If you accept cookies, we’ll use them to improve and customize your experience and enable our partners to show you personalized PayPal ads when you visit other sites. Manage cookies and learn more
Error Details
The error details. Required for client-side 4XX errors.
fieldstringOptional
The field that caused the error. If this field is in the body, set this value to the field's JSON pointer value. Required for client-side errors.
Match^.*$Length0 <= length <= 10000
valuestringOptional
The value of the field that caused the error.
Match^.*$Length0 <= length <= 100000
locationenumOptional
The location of the field that caused the error.
Allowed values
"body"Default
The field is in the request body.
"header"
The field is a header.
"path"
The field is a path parameter.
"query"
The field is a query parameter.
issuestringRequired
The unique, fine-grained application-level error code.
An array of request-related [HATEOAS links](/api/rest/responses/#hateoas-links) that are either relevant to the issue by providing additional information or offering potential resolutions.
Items1 <= length <= 4
link_description properties
3 properties
hrefstringRequired
The complete target URL. To make the related call, combine the method with this [URI Template-formatted](https://tools.ietf.org/html/rfc6570) link. For pre-processing, include the `$`, `(`, and `)` characters. The `href` is the key HATEOAS component that links a completed call with a subsequent call.
Match^.*$Length0 <= length <= 20000
relstringRequired
The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which serves as an ID for a link that unambiguously describes the semantics of the link. See [Link Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
Match^.*$Length0 <= length <= 100
methodenumOptional
The HTTP method required to make the related call.
Allowed values
"CONNECT"
The HTTP CONNECT method.
"DELETE"
The HTTP DELETE method.
"GET"
The HTTP GET method.
"HEAD"
The HTTP HEAD method.
"OPTIONS"
The HTTP OPTIONS method.
"PATCH"
The HTTP PATCH method.
"POST"
The HTTP POST method.
"PUT"
The HTTP PUT method.
descriptionstringOptional
The human-readable description for an issue. The description can change over the lifetime of an API, so clients must not depend on this value.